Package org.jfree.report.modules.gui.swing.printing

# Class PrinterUtility

java.lang.Object
org.jfree.report.modules.gui.swing.printing.PrinterUtility

public class PrinterUtility extends Object
Creation-Date: 03.12.2006, 15:01:24

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NUMBER_COPIES_KEY`
`static final String`
`PRINTER_JOB_NAME_KEY`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getNumberOfCopies(org.pentaho.reporting.libraries.base.config.Configuration configuration)`
`static boolean`
`print(ReportJob report)`
`static void`
`printDirectly(ReportJob report)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PRINTER_JOB_NAME_KEY

public static final String PRINTER_JOB_NAME_KEY

See Also:
  - Constant Field Values

### NUMBER_COPIES_KEY

public static final String NUMBER_COPIES_KEY

See Also:
  - Constant Field Values

## Method Details

### printDirectly

public static void printDirectly(ReportJob report) throws PrinterException

Throws:
  `PrinterException`

### print

public static boolean print(ReportJob report) throws PrinterException

Throws:
  `PrinterException`

### getNumberOfCopies

public static int getNumberOfCopies(org.pentaho.reporting.libraries.base.config.Configuration configuration)